Subject: Re: proftpd running on cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: TJ Saunders <[email-masked]>, Cygwin <[email-masked]>
Date: Thu, 24 Apr 2003 21:22:04 +0200

Hallo Jason,

Am Donnerstag, 24. April 2003 um 15:24 schriebst du:

> TJ,

> On Wed, Apr 23, 2003 at 07:39:13PM -0700, TJ Saunders wrote:
>> jason>The patch is in the following post:
>> jason>
>> jason>    http://cygwin.com/ml/cygwin/2003-04/msg01918.html
>> jason>
>> jason>Please test it and then try to get it accepted into proftp CVS.

> I guess my posts to <[email-masked]> weren't rejected after
> all... :,)

>> Attached is your patch, updated for current CVS.  The patch is pretty
>> much the same, with one minor addition (checking of uid 0 for
>> RootLogin).  If this patch works for you, just let me know and I'll
>> commit to CVS.

Perfect, the ROOT_UID/GID patch is perfect, I guess that it will not
cause problems.

The problem for Cygwin which remains IMO is that the logon is in the
wrong place, it is in mod_auth.c now which is not the right place.

I'll change this and provide a patch against the current source after
testing is finished.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/